﻿/* Structural styles */

.main_body {
    border: 0 none;
    float: left;
    height: auto;
    min-height: 100%;
    overflow: auto;
    position: relative;
    width: 100%;
}

.footer {
    clear: both;
    position: absolute;
    bottom: 0px;
    width: 100%;
	color: Black;
	font-size:8pt; 
	text-align:center;
}

.no_show {
    display: none!important;
}

.left {
    float: left!important;
}

.right {
    float: right!important;
}

.txt_left {
    text-align: left!important;
}

.txt_right {
    text-align: right!important;
}

.top {
    vertical-align: top!important;
}

.bottom {
    vertical-align: bottom!important;
}

.hcentre {
    text-align: center!important;
}

.vcentre {
    vertical-align: middle!important;
}

.fill_width {
    width: 100%;
}

.fill_height {
    height: 100%;
}

.fill_relative {
    width: 100%;
    height: 100%;
    position: relative;
}

.clear_both {
    clear: both;
}
/* End Structural styles ----------------------------------------------------------------------*/

/* Form table */

table.table_fieldset {
    width: 100%;
}

table.table_fieldset td 
{
    vertical-align: top;
    text-align: left;
    padding: 5px 5px 5px 5px;
}

table.table_fieldset td.label {
    white-space: nowrap;
    max-width: 25%;
}

table.table_fieldset td.value {
    font-weight: normal;
}

table.table_fieldset td.readonlylabel {
    white-space: nowrap;
    color: gray;
}

table.table_fieldset td.mandatorylabel {
    white-space: nowrap;
}

table.table_fieldset input:not([type=radio]):not([type=checkbox]):not(.dateinput), textarea {
    width: 99%; /*20em;*/
    resize: none;
}

table.table_fieldset input.dateinput {
    width: 7em;
}

table.table_fieldset input.radiobutton {
    width: 2em;
}

table.table_fieldset td.editvalue {
    text-align: left;
    min-width: 15%;
}

select {
    height: 1.6em;
    min-width: 5em;
}


/* Combo Box */
 .ui-combobox {
        position: absolute;
        display: inline-block;
    }
 
.ui-combobox-toggle {
        position: absolute !important;
        top: 0;
        bottom: 0;
        margin-left: -1px;
        padding: 0;
        background:transparent;
	    border-radius:0px;
        /* support: IE7 */
       /* height: 1.8em;*/
        top: 0.0em;
    }
.ui-autocomplete {
    max-height: 300px;
    overflow-y: auto;
    /* prevent horizontal scrollbar */
    overflow-x: hidden;
    vertical-align:top;
    text-align: left;
  }
  /* IE 6 doesn't support max-height
   * we use height instead, but this forces the menu to always be this tall
   */
 * html .ui-autocomplete {
    height: 300px;
  }

.ui-combobox .ui-button-icon-only
{
    width:1.1em !important;
}

.ui-combobox .ui-widget
{
    font-family: Arial, Helvetica, sans-serif !important;
    font-size: 14px !important;
    min-height:18px !important;
}

    @media screen and (-webkit-min-device-pixel-ratio:0)
    {
        .ui-combobox .ui-button-icon-primary, .ui-combobox .ui-button{background-color :white !important; border-left: none !important;}
        /*.ui-state-default, .ui-widget-content .ui-state-default{border-left-color: White !important;}*/
    }
    
.ui-combobox .ui-button-icon-primary, .ui-combobox .ui-button 
{
  /* background-color :#e3e3e3 !important;*/
    /*background-image: -ms-linear-gradient(top left, #707070 -50%, #FCFCFC 110.00000000000001%);
    background-image: -ms-linear-gradient(top right, #707070 -50%, #FCFCFC 110.00000000000001%);*/

}


.ui-combobox .ui-state-default
{
    color:inherit !important;
    background-image :none !important;
    cursor :default !important;
}

.ui-combobox .ui-state-default  .ui-icon
{
    background-image :url("images/ui-icons_222222_256x240.png") !important;
}
 
.ui-combobox .ui-icon
 {
    cursor :default !important;
    
 }
.ui-combobox a .ui-icon
 {
    color: Black !important;
    
 }
 
/*.ui-combobox-input {
        margin: 0;
        padding: 0.3em;
        background:transparent;
    }
*/

.ui-combobox .ui-combobox-input
{
   padding-right: 0.3em;
   padding-left : 0.3em;
}
    
.ui-combobox ui-menu .ui-menu-item {
    position: relative;
    margin: 0;
    padding: 0px 0em 0px 0em;
    cursor: pointer;
    min-height: 0;
}

.ui-menu-item a
{
    background: white !important;
    border-radius:0px;
    font-family: Arial, Helvetica, sans-serif !important;
    font-size: 13px !important;
    padding: 1px;
    min-height:15px !important;
    
}

.ui-menu-item a:hover
{
    background: #1e90ff !important;
    border: 1px dotted #e3e3e3 !important;
    border-radius:0px;
}


.ui-combobox .ui-state-default, .ui-combobox .ui-widget-content .ui-state-default, .ui-combobox .ui-widget-header .ui-state-default
{
    border-top-color: #8E9191 !important;
    border-right-color: #8E9191 !important;
    border-bottom-color: #8E9191 !important;
    border-left-color: #8E9191 !important;
    border-radius: 0px !important;
    margin-right: -1px;
}




/* End Form table --------------------------------------------------------------------------*/
